Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.security.sasl
Class RealmChoiceCallback

    java.lang.Object
      javax.security.auth.callback.ChoiceCallback
          javax.security.sasl.RealmChoiceCallback

All Implemented Interfaces:
  java.io.Serializable, javax.security.auth.callback.Callback

    public class RealmChoiceCallback

extends javax.security.auth.callback.ChoiceCallback

This callback is used by `SaslClient` and `SaslServer` to obtain a realm given a list of realm choices.

Since:
  1.5
Author:
  Rosanna Lee, Rob Weltman
See Also:
  Serialized Form

Constructor Summary
`RealmChoiceCallback(java.lang.String prompt, java.lang.String[] choices, int defaultChoice, boolean multiple)` Constructs a `RealmChoiceCallback` with a prompt, a list of choices and a default choice.

Method Summary

Methods inherited from class javax.security.auth.callback.ChoiceCallback
`allowMultipleSelections, getChoices, getDefaultChoice, getPrompt, getSelectedIndexes, setSelectedIndex, setSelectedIndexes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RealmChoiceCallback

    public RealmChoiceCallback(java.lang.String prompt,
                               java.lang.String[] choices,
                               int defaultChoice,
                               boolean multiple)

  Constructs a `RealmChoiceCallback` with a prompt, a list of choices and a default choice.

  Parameters:
    `prompt` - the non-null prompt to use to request the realm.
    `choices` - the non-null list of realms to choose from.
    `defaultChoice` - the choice to be used as the default choice when the list of choices is displayed. It is an index into the `choices` arary.
    `multiple` - true if multiple choices allowed; false otherwise
  Throws:
    `java.lang.IllegalArgumentException` - If `prompt` is null or the empty string, if `choices` has a length of 0, if any element from `choices` is null or empty, or if `defaultChoice` does not fall within the array boundary of `choices`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD